# locale_.h File Reference

`#include "magick/hashmap.h"`

Go to the source code of this file.

## Data Structures

struct | _LocaleInfo

## Typedefs

typedef struct _LocaleInfo | LocaleInfo

## Functions

MagickExport char ** | GetLocaleList (const char *, unsigned long *, ExceptionInfo *)
MagickExport const char * | GetLocaleMessage (const char *)
MagickExport const LocaleInfo * | GetLocaleInfo_ (const char *, ExceptionInfo *)
MagickExport const LocaleInfo *** | GetLocaleInfoList (const char *, unsigned long *, ExceptionInfo *)
MagickExport LinkedListInfo * | DestroyLocaleOptions (LinkedListInfo *)
MagickExport LinkedListInfo ** | GetLocaleOptions (const char *, ExceptionInfo *)
MagickExport MagickBooleanType | ListLocaleInfo (FILE *, ExceptionInfo *)
MagickExport void | DestroyLocaleList (void)

## Typedef Documentation

typedef struct _LocaleInfo LocaleInfo

## Function Documentation

MagickExport void DestroyLocaleList | ( | void |  | ) |

MagickExport LinkedListInfo* DestroyLocaleOptions | ( | LinkedListInfo * |  | ) |

MagickExport const LocaleInfo* GetLocaleInfo_ | ( | const char * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport const LocaleInfo* ** GetLocaleInfoList | ( | const char * | ,
|  | unsigned long * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport char** GetLocaleList | ( | const char * | ,
|  | unsigned long * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport const char* GetLocaleMessage | ( | const char * |  | ) |

MagickExport LinkedListInfo* * GetLocaleOptions | ( | const char * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport MagickBooleanType ListLocaleInfo | ( | FILE * | ,
|  | ExceptionInfo * |  |
| ) |  |  |